/// <reference types="react" />
import { ListItemStyled } from './Breadcrumbs.styles';
export interface Route {
    breadcrumb: React.ReactNode;
    icon?: React.ReactNode;
    path: string;
}
export interface BreadcrumbsProps {
    /**
     * The color of text
     */
    theme?: string;
    /**
     * CSS style props
     */
    style?: React.CSSProperties;
    /**
     * Current location for displaying active breadcrumb
     */
    currentLocation?: string;
    /**
     * Routes
     */
    routes: Route[];
    /**
     * Separator for breadcrumbs
     */
    separator?: React.ReactNode;
}
export interface IBreadcrumbs extends React.FC<BreadcrumbsProps> {
    /**
     * The element of links list
     */
    Item: typeof ListItemStyled;
}
