/// <reference types="react" />
import { Colors } from '../../interfaces/color';
export declare const colorState: readonly ["greenLight", "redLight"];
export declare type TColorState = typeof colorState[number];
export interface NewCompProps {
    /**
     * Set the Background color of New Component
     */
    bgColor?: Colors;
    /**
     * The New Component needs text for its green light state
     */
    textOn: string;
    /**
     * The New Component needs text for its red light state
     */
    textOff: string;
    /**
     * Set the initial state from the New Component
     */
    state?: TColorState;
    /**
     * Set the text to have an underline
     */
    hasUnderline?: boolean;
    /**
     * The callback function to be called on click
     */
    onClick?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
